/* eslint-env node */
/* global module: false, require: false */
'use strict';

const defaultsDeep = require('lodash.defaultsdeep');

module.exports = {
  name: '@choiceform/<%= dasherizedModuleName %>',

  isDevelopingAddon() {
    return true;
  },

  included(parent) {
    this.options = defaultsDeep(parent.options, this.options);

    this._super.included.apply(this, arguments);
  },
};
